> For the complete documentation index, see [llms.txt](https://docs.autoenhance.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autoenhance.ai/api/images.md).

# Images

## POST /v3/images/

> Create Image

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Images"}],"servers":[{"url":"http://api:8080"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"ImageIn":{"additionalProperties":true,"properties":{"ai_version":{"description":"The version of the AI model to use for enhancing the image. Versions ending in an .x will use the latest minor version as soon as it's published.","type":"string"},"cloud_type":{"description":"The type of clouds in the new sky to replace the original sky with. Options include: CLEAR, LOW_CLOUD, HIGH_CLOUD","enum":["CLEAR","LOW_CLOUD","HIGH_CLOUD",null],"nullable":true,"type":"string"},"enhance":{"default":true,"description":"Whether to enhance the image.","type":"boolean"},"finetune_settings":{"anyOf":[{"nullable":true,"type":"object"},{"$ref":"#/components/schemas/FinetuneOptions"}]},"image_name":{"type":"string"},"lens_correction":{"default":true,"description":"Correct any lens distortion in the image.","type":"boolean"},"metadata":{"additionalProperties":{},"description":"Metadata for the image.","nullable":true,"type":"object"},"order_id":{"minLength":1,"type":"string"},"perspective_correction":{"default":true,"description":"Enable perspective correction to straighten vertical and horizontal lines in the image.","type":"boolean"},"perspective_correction_mode":{"description":"Controls how aggressively perspective correction is applied when enabled. Only used when perspective_correction is true. 'PRESERVE_CONTENT' prioritizes keeping original image contents intact with strict guardrails. 'PRIORITIZE_PERSPECTIVE' relaxes guardrails to enforce straight lines, accepting heavy cropping. If omitted, or explicitly sent as null, when perspective_correction is true, the AI uses its default behavior.","enum":["OFF","DEFAULT_ENABLED","PRESERVE_CONTENT","PRIORITIZE_PERSPECTIVE",null],"nullable":true,"type":"string"},"preset_id":{"description":"The ID of the preset to apply to the image.","nullable":true,"type":"string"},"privacy":{"description":"Whether to blur any faces or license plates in the image.","nullable":true,"type":"boolean"},"rating":{"description":"A rating between 0 and 5 on how good the image enhancmeent. Higher is better.","maximum":5,"minimum":0,"type":"integer"},"restage":{"anyOf":[{"$ref":"#/components/schemas/Restage"},{"nullable":true,"type":"object"}],"description":"Restage options for in-painting or modifying scene elements. Allows correcting details like lighting a fireplace, removing fingerprints from a TV screen, or removing unwanted items like tripods."},"sky_replacement":{"description":"Enable the replacement of the original sky for a summer sky.","type":"boolean"},"threesixty":{"description":"Whether the image is a 360 image.","type":"boolean"},"tripod_hide":{"description":"Whether to crop the bottom of 360-degree images to hide the tripod. Note: This performs a simple crop and does not use generative in-painting.","nullable":true,"type":"boolean"},"upscale":{"description":"Whether to upscale the image.","type":"boolean"},"window_pull_type":{"description":"What type of window pull to apply to the image (Available since AI version >= 4.0, WITH_SKIES can only be used from AI version 5.2 or higher).","enum":["NONE","ONLY_WINDOWS","WINDOWS_WITH_SKIES",null],"nullable":true,"type":"string"}},"required":["image_name"],"type":"object"},"FinetuneOptions":{"additionalProperties":false,"properties":{},"type":"object"},"Restage":{"properties":{"fire_in_fireplaces":{"description":"Controls the appearance of fireplaces. 'AS_SHOT' leaves the fireplace exactly as captured (e.g., unlit). 'ALIGHT' in-paints fire into the fireplace to make it appear active.","enum":["AS_SHOT","ALIGHT",null],"nullable":true,"type":"string"},"grass":{"description":"Controls grass appearance enhancement. 'AS_SHOT' leaves the grass exactly as captured. 'GREEN' applies grass greening to make brown/dead grass appear lush and green.","enum":["AS_SHOT","GREEN",null],"nullable":true,"type":"string"},"photographer":{"description":"Controls removal of photographer. 'AS_SHOT' leaves the photographer exactly as captured. 'REMOVE' removes the photographer including their shadow, reflection and hands.","enum":["AS_SHOT","REMOVE",null],"nullable":true,"type":"string"},"sky":{"description":"Controls sky replacement. 'AS_SHOT' keeps the original sky (no replacement). Any cloud type value replaces the sky with that cloud type. Cloud type options include: AS_SHOT, CLEAR, LOW_CLOUD, HIGH_CLOUD.","enum":["AS_SHOT","CLEAR","LOW_CLOUD","HIGH_CLOUD",null],"nullable":true,"type":"string"},"tvs":{"description":"Controls the appearance of television screens in the photo. 'AS_SHOT' leaves the TV screen exactly as captured. 'BLACK_OUT' in-paints the screen to appear completely black/off.","enum":["AS_SHOT","BLACK_OUT",null],"nullable":true,"type":"string"}},"type":"object"},"ImageCreatedOut":{"additionalProperties":false,"properties":{"ai_version":{"description":"The version of the AI model to use for enhancing the image. Versions ending in an .x will use the latest minor version as soon as it's published.","type":"string"},"cloud_type":{"description":"The type of clouds in the new sky to replace the original sky with. Options include: CLEAR, LOW_CLOUD, HIGH_CLOUD","enum":["CLEAR","LOW_CLOUD","HIGH_CLOUD",null],"nullable":true,"type":"string"},"date_added":{"description":"The date the image was registered with Autoenhance.","type":"integer"},"downloaded":{"description":"Whether image has been already downloaded and paid for.","type":"boolean"},"enhance":{"default":true,"description":"Whether to enhance the image.","type":"boolean"},"finetune_settings":{"anyOf":[{"nullable":true,"type":"object"},{"$ref":"#/components/schemas/FinetuneOptions"}]},"image_id":{"format":"uuid","type":"string"},"image_name":{"type":"string"},"lens_correction":{"default":true,"description":"Correct any lens distortion in the image.","type":"boolean"},"metadata":{"additionalProperties":{},"description":"Metadata for the image.","type":"object"},"order_id":{"readOnly":true},"parent_image_id":{"description":"The ID of the parent image if this is a sub-image created for premium restaging. Null for original images.","nullable":true,"type":"string"},"perspective_correction":{"description":"Whether perspective correction is enabled for the image.","nullable":true,"type":"boolean"},"perspective_correction_mode":{"description":"The perspective correction mode used for the image. 'OFF' means disabled, 'DEFAULT_ENABLED' uses AI defaults, 'PRESERVE_CONTENT' prioritizes keeping content, 'PRIORITIZE_PERSPECTIVE' prioritizes straight lines.","enum":["OFF","DEFAULT_ENABLED","PRESERVE_CONTENT","PRIORITIZE_PERSPECTIVE",null],"nullable":true,"type":"string"},"preset_id":{"description":"The ID of the preset that was applied to the image.","readOnly":true},"preset_version":{"description":"Preset version applied when the image was last processed with a preset.","nullable":true,"readOnly":true},"privacy":{"description":"Whether to blur any faces or license plates in the image.","nullable":true,"type":"boolean"},"rating":{"description":"A rating between 0 and 5 on how good the image enhancmeent. Higher is better.","maximum":5,"minimum":0,"type":"integer"},"restage":{"anyOf":[{"$ref":"#/components/schemas/Restage"},{"nullable":true,"type":"object"}],"description":"Restage options for in-painting or modifying scene elements. Allows correcting details like lighting a fireplace, removing fingerprints from a TV screen, or removing unwanted items like tripods."},"scene":{"description":"The detected scene of the image i.e garden, patio, kitchen, etc.","type":"string"},"sky_replacement":{"description":"Whether the sky replacement feature was enabled for the image.","type":"boolean"},"status":{"description":"The status of the order.","readOnly":true},"status_reason":{"description":"Reason for the image's current status","readOnly":true},"tripod_hide":{"description":"Whether to crop the bottom of 360-degree images to hide the tripod. Note: This performs a simple crop and does not use generative in-painting.","nullable":true,"type":"boolean"},"upload_url":{"description":"The upload URL for the image to be uploaded to.","readOnly":true},"upscale":{"description":"Whether to upscale the image.","type":"boolean"},"user_id":{"description":"The user ID of the user who uploaded (owns) the image.","readOnly":true},"window_pull_type":{"description":"What type of window pull to apply to the image (Available since AI version >= 4.0, WITH_SKIES can only be used from AI version 5.2 or higher).","enum":["NONE","ONLY_WINDOWS","WINDOWS_WITH_SKIES",null],"nullable":true,"type":"string"}},"type":"object"},"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"},"ValidationError":{"properties":{"detail":{"properties":{"<location>":{"properties":{"<field_name>":{"items":{"type":"string"},"type":"array"}},"type":"object"}},"type":"object"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v3/images/":{"post":{"operationId":"create_image","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImageIn"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImageCreatedOut"}}},"description":"Successful response"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Authentication error"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}},"description":"Validation error"}},"summary":"Create Image","tags":["Images"]}}}}
```

## GET /v3/images/{id}

> Retrieve Image

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Images"}],"servers":[{"url":"http://api:8080"}],"paths":{"/v3/images/{id}":{"get":{"operationId":"retrieve_image","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImageOut"}}},"description":"Successful response"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Not found"}},"summary":"Retrieve Image","tags":["Images"]}}},"components":{"schemas":{"ImageOut":{"additionalProperties":false,"properties":{"ai_version":{"description":"The version of the AI model to use for enhancing the image. Versions ending in an .x will use the latest minor version as soon as it's published.","type":"string"},"cloud_type":{"description":"The type of clouds in the new sky to replace the original sky with. Options include: CLEAR, LOW_CLOUD, HIGH_CLOUD","enum":["CLEAR","LOW_CLOUD","HIGH_CLOUD",null],"nullable":true,"type":"string"},"date_added":{"description":"The date the image was registered with Autoenhance.","type":"integer"},"downloaded":{"description":"Whether image has been already downloaded and paid for.","type":"boolean"},"enhance":{"default":true,"description":"Whether to enhance the image.","type":"boolean"},"finetune_settings":{"anyOf":[{"nullable":true,"type":"object"},{"$ref":"#/components/schemas/FinetuneOptions"}]},"image_id":{"format":"uuid","type":"string"},"image_name":{"type":"string"},"lens_correction":{"default":true,"description":"Correct any lens distortion in the image.","type":"boolean"},"metadata":{"additionalProperties":{},"description":"Metadata for the image.","type":"object"},"order_id":{"readOnly":true},"parent_image_id":{"description":"The ID of the parent image if this is a sub-image created for premium restaging. Null for original images.","nullable":true,"type":"string"},"perspective_correction":{"description":"Whether perspective correction is enabled for the image.","nullable":true,"type":"boolean"},"perspective_correction_mode":{"description":"The perspective correction mode used for the image. 'OFF' means disabled, 'DEFAULT_ENABLED' uses AI defaults, 'PRESERVE_CONTENT' prioritizes keeping content, 'PRIORITIZE_PERSPECTIVE' prioritizes straight lines.","enum":["OFF","DEFAULT_ENABLED","PRESERVE_CONTENT","PRIORITIZE_PERSPECTIVE",null],"nullable":true,"type":"string"},"preset_id":{"description":"The ID of the preset that was applied to the image.","readOnly":true},"preset_version":{"description":"Preset version applied when the image was last processed with a preset.","nullable":true,"readOnly":true},"privacy":{"description":"Whether to blur any faces or license plates in the image.","nullable":true,"type":"boolean"},"rating":{"description":"A rating between 0 and 5 on how good the image enhancmeent. Higher is better.","maximum":5,"minimum":0,"type":"integer"},"restage":{"anyOf":[{"$ref":"#/components/schemas/Restage"},{"nullable":true,"type":"object"}],"description":"Restage options for in-painting or modifying scene elements. Allows correcting details like lighting a fireplace, removing fingerprints from a TV screen, or removing unwanted items like tripods."},"scene":{"description":"The detected scene of the image i.e garden, patio, kitchen, etc.","type":"string"},"sky_replacement":{"description":"Whether the sky replacement feature was enabled for the image.","type":"boolean"},"status":{"description":"The status of the order.","readOnly":true},"status_reason":{"description":"Reason for the image's current status","readOnly":true},"tripod_hide":{"description":"Whether to crop the bottom of 360-degree images to hide the tripod. Note: This performs a simple crop and does not use generative in-painting.","nullable":true,"type":"boolean"},"upscale":{"description":"Whether to upscale the image.","type":"boolean"},"user_id":{"description":"The user ID of the user who uploaded (owns) the image.","readOnly":true},"window_pull_type":{"description":"What type of window pull to apply to the image (Available since AI version >= 4.0, WITH_SKIES can only be used from AI version 5.2 or higher).","enum":["NONE","ONLY_WINDOWS","WINDOWS_WITH_SKIES",null],"nullable":true,"type":"string"}},"type":"object"},"FinetuneOptions":{"additionalProperties":false,"properties":{},"type":"object"},"Restage":{"properties":{"fire_in_fireplaces":{"description":"Controls the appearance of fireplaces. 'AS_SHOT' leaves the fireplace exactly as captured (e.g., unlit). 'ALIGHT' in-paints fire into the fireplace to make it appear active.","enum":["AS_SHOT","ALIGHT",null],"nullable":true,"type":"string"},"grass":{"description":"Controls grass appearance enhancement. 'AS_SHOT' leaves the grass exactly as captured. 'GREEN' applies grass greening to make brown/dead grass appear lush and green.","enum":["AS_SHOT","GREEN",null],"nullable":true,"type":"string"},"photographer":{"description":"Controls removal of photographer. 'AS_SHOT' leaves the photographer exactly as captured. 'REMOVE' removes the photographer including their shadow, reflection and hands.","enum":["AS_SHOT","REMOVE",null],"nullable":true,"type":"string"},"sky":{"description":"Controls sky replacement. 'AS_SHOT' keeps the original sky (no replacement). Any cloud type value replaces the sky with that cloud type. Cloud type options include: AS_SHOT, CLEAR, LOW_CLOUD, HIGH_CLOUD.","enum":["AS_SHOT","CLEAR","LOW_CLOUD","HIGH_CLOUD",null],"nullable":true,"type":"string"},"tvs":{"description":"Controls the appearance of television screens in the photo. 'AS_SHOT' leaves the TV screen exactly as captured. 'BLACK_OUT' in-paints the screen to appear completely black/off.","enum":["AS_SHOT","BLACK_OUT",null],"nullable":true,"type":"string"}},"type":"object"},"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"}}}}
```

## DELETE /v3/images/{id}

> Delete Image

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Images"}],"servers":[{"url":"http://api:8080"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v3/images/{id}":{"delete":{"operationId":"delete_image","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Authentication error"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Not found"}},"summary":"Delete Image","tags":["Images"]}}}}
```

## GET /v3/images/{id}/enhanced

> Download Enhanced Image

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Images"}],"servers":[{"url":"http://api:8080"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"},"ValidationError":{"properties":{"detail":{"properties":{"<location>":{"properties":{"<field_name>":{"items":{"type":"string"},"type":"array"}},"type":"object"}},"type":"object"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v3/images/{id}/enhanced":{"get":{"operationId":"download_enhanced_image","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}},{"description":"DPI of the image, must at least be 72.","in":"query","name":"dpi","required":false,"schema":{"minimum":72,"type":"integer"}},{"description":"Quality of the image, must be between 1 and 90.","in":"query","name":"quality","required":false,"schema":{"maximum":90,"minimum":1,"type":"integer"}},{"description":"Format of the image, must be one of 'avif', 'png', 'jpeg', 'jxl', or 'webp'.","in":"query","name":"format","required":false,"schema":{"enum":["avif","png","jpeg","jxl","webp"],"type":"string"}},{"description":"Whether to show a lower quality preview version.","in":"query","name":"preview","required":false,"schema":{"type":"boolean"}},{"description":"Whether to apply a watermark to the image.","in":"query","name":"watermark","required":false,"schema":{"type":"boolean"}},{"description":"Whether to overlay an AI disclosure label on the image.","in":"query","name":"visible_disclosure","required":false,"schema":{"default":false,"type":"boolean"}},{"description":"Whether to apply finetuning to the image.","in":"query","name":"finetuned","required":false,"schema":{"default":null,"nullable":true,"type":"boolean"}},{"description":"Whether to apply finetuning to the image. Deprecated: use 'finetuned' instead.","in":"query","name":"finetune","required":false,"schema":{"default":null,"nullable":true,"type":"boolean"}},{"description":"Whether to serve the restaged version of the image. Defaults to True (serve restaged if available). Set to False to serve the original enhanced image without restaging.","in":"query","name":"restaged","required":false,"schema":{"default":true,"type":"boolean"}},{"description":"Maximum width of the image in pixels. Must be a positive integer.","in":"query","name":"max_width","required":false,"schema":{"minimum":1,"type":"integer"}},{"description":"Scale factor for the image, must be between 0.0 and 1.0.","in":"query","name":"scale","required":false,"schema":{"maximum":1,"minimum":0,"type":"number"}}],"responses":{"200":{"content":{"image/jpeg":{"schema":{"format":"binary","type":"string"}}},"description":"Successful response"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Authentication error"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Not found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}},"description":"Validation error"}},"summary":"Download Enhanced Image","tags":["Images"]}}}}
```

## GET /v3/images/{id}/original

> Download Original Image

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Images"}],"servers":[{"url":"http://api:8080"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"},"ValidationError":{"properties":{"detail":{"properties":{"<location>":{"properties":{"<field_name>":{"items":{"type":"string"},"type":"array"}},"type":"object"}},"type":"object"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v3/images/{id}/original":{"get":{"operationId":"download_original_image","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}},{"description":"DPI of the image, must at least be 72.","in":"query","name":"dpi","required":false,"schema":{"minimum":72,"type":"integer"}},{"description":"Quality of the image, must be between 1 and 90.","in":"query","name":"quality","required":false,"schema":{"maximum":90,"minimum":1,"type":"integer"}},{"description":"Format of the image, must be one of 'avif', 'png', 'jpeg', 'jxl', or 'webp'.","in":"query","name":"format","required":false,"schema":{"enum":["avif","png","jpeg","jxl","webp"],"type":"string"}},{"description":"Whether to show a lower quality preview version.","in":"query","name":"preview","required":false,"schema":{"type":"boolean"}},{"description":"Whether to apply a watermark to the image.","in":"query","name":"watermark","required":false,"schema":{"type":"boolean"}},{"description":"Whether to overlay an AI disclosure label on the image.","in":"query","name":"visible_disclosure","required":false,"schema":{"default":false,"type":"boolean"}},{"description":"Whether to apply finetuning to the image.","in":"query","name":"finetuned","required":false,"schema":{"default":null,"nullable":true,"type":"boolean"}},{"description":"Whether to apply finetuning to the image. Deprecated: use 'finetuned' instead.","in":"query","name":"finetune","required":false,"schema":{"default":null,"nullable":true,"type":"boolean"}},{"description":"Whether to serve the restaged version of the image. Defaults to True (serve restaged if available). Set to False to serve the original enhanced image without restaging.","in":"query","name":"restaged","required":false,"schema":{"default":true,"type":"boolean"}},{"description":"Maximum width of the image in pixels. Must be a positive integer.","in":"query","name":"max_width","required":false,"schema":{"minimum":1,"type":"integer"}},{"description":"Scale factor for the image, must be between 0.0 and 1.0.","in":"query","name":"scale","required":false,"schema":{"maximum":1,"minimum":0,"type":"number"}}],"responses":{"200":{"content":{"image/jpeg":{"schema":{"format":"binary","type":"string"}}},"description":"Successful response"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Authentication error"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Not found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}},"description":"Validation error"}},"summary":"Download Original Image","tags":["Images"]}}}}
```

## POST /v3/images/{id}/report

> Report Image

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Images"}],"servers":[{"url":"http://api:8080"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"ReportIn":{"additionalProperties":false,"properties":{"categories":{"description":"A list of categories to be reported.","items":{"enum":["AUTO_PRIVACY","COLOUR","CONTRAST","DOWNLOAD","DYNAMIC_RANGE","EXPOSURE","HDR","IMAGE_QUALITY","ITEM_REMOVAL","LENS_CORRECTION","NO_COMPLAINTS","NOISE","OTHER","PERSPECTIVE_CORRECTION","PROCESSING","SHARPNESS","SKY_REPLACEMENT","WHITE_BALANCE","WINDOW_PULL","DUSK","GRASS","TVS","FIRE_IN_FIREPLACE","PHOTOGRAPHER","PRIVACY"],"type":"string"},"minItems":1,"type":"array"},"comment":{"description":"A comment to be sent along with the report.","type":"string"},"score":{"description":"A rating between 0 and 5 on how good the image enhancmeent. Higher is better.","maximum":5,"minimum":0,"type":"integer"},"source":{"enum":["WEBAPP","API","ADMIN"],"type":"string"}},"required":["categories"],"type":"object"},"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"},"ValidationError":{"properties":{"detail":{"properties":{"<location>":{"properties":{"<field_name>":{"items":{"type":"string"},"type":"array"}},"type":"object"}},"type":"object"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v3/images/{id}/report":{"post":{"operationId":"report_image","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportIn"}}}},"responses":{"200":{"content":{"application/json":{"schema":{}}},"description":"Successful response"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Authentication error"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Not found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}},"description":"Validation error"}},"summary":"Report Image","tags":["Images"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.autoenhance.ai/api/images.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
